#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.11
visibility:           public
id:                   foldl-1.4.11-3n1BKNutTNL5yIx0tnC0E
key:                  foldl-1.4.11-3n1BKNutTNL5yIx0tnC0E
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  a8622460f44ba7e4ec0dee728377b1ac
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-8.10.5/site-local/foldl-1.4.11
library-dirs:         /usr/lib/ghc-8.10.5/site-local/foldl-1.4.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/i386-linux-ghc-8.10.5/foldl-1.4.11
hs-libraries:         HSfoldl-1.4.11-3n1BKNutTNL5yIx0tnC0E
depends:
    base-4.14.2.0 bytestring-0.10.12.0
    comonad-5.0.8-3VlYiILWTa24txTyM8uxMS containers-0.6.4.1
    contravariant-1.5.3-KWoYE9wiUjmElzHNq2wj10
    hashable-1.3.2.0-GpzwVyCMdDv8NwdC61S1EE
    mwc-random-0.15.0.1-8r43Rs0U6F1Ff5vg7r03B
    primitive-0.7.1.0-H44eQ1j8hQJ3Kj2SFx0Ivh
    profunctors-5.6.2-68Okl6PP0cYKcJgfa1by0Q
    semigroupoids-5.3.5-CXCAmgAqO2AH1F4bh8bCjo text-1.2.4.1
    transformers-0.5.6.2
    unordered-containers-0.2.14.0-JpdjDmlqBJN4PAu3jIj4Ya
    vector-0.12.3.0-K9OZS5OCy7cE2QKQqSO9mp

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

